%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%@brief Translates the Position "Likely to " Origin [0,0,0] so that Additional Rotation may be done
% https://www.iriscores.com
% vojta.ters@iriscores.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ NewPos ] = Translate( Pos,Vector )

X = Vector(1);
Y = Vector(2);
Z = Vector(3);

T = [1,0,0,X; ...
     0,1,0,Y; ...
     0,0,1,Z; ...
     0,0,0,1];
 
[~,Nx] = size(Pos);
NewPos = Pos;
Pos = [Pos;ones(1,Nx)];
for i = 1:Nx
    Res = T*Pos(:,i); 
    NewPos(:,i) = Res(1:3);
end

end
